Subject: Re: .tar.gz
From: [email-masked] (Fergus Henderson)

28 Jul 1997 21:46:00 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>     <[email-masked]> <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

[email-masked] (Chris Faylor) writes:

>In article <[email-masked]>,
>Fergus Henderson  <[email-masked]> wrote:
>>>    gunzip -c file.tar.gz | tar xf -
>>
>>Last time I checked (version b17.1), this did not work,
>>because pipes were opened in text mode, not binary mode.
>>Instead I had to use
>>
>>     gunzip file.tar.gz
>>     tar xf - file.tar
>>
>>Has this changed since b17.1?
>
>I don't think so.  But using the 'z' option to gnutar works as it
>always has:

Yes, but the 'z' option to tar is not portable, so I can't use that. :-(

--
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".